Subject: Re: RFC: Redirect-Device

From: Ben Greear <[email-masked]>
Date: Fri, 01 Apr 2005 08:29:19 -0800

Pekka Savola wrote:
> On Thu, 31 Mar 2005, Ben Greear wrote:
> 
>>> Is there something in your problem statement I'm missing?
>>
>>
>> That would be similar to what I'm doing, but I'm not really trying
>> to tunnel anything.  I am trying to duplicate the behaviour of two
>> ethernet interfaces connected by an external cross-over cable, and I'm
>> trying to duplicate it at the network-device interface level so that
>> common tools (and my own tools) can treat these virtual interfaces
>> just like ethernet interfaces.
> 
> 
> Oh ok, what you seem to want is some kind of "Ethernet loopback++", but 
> the "looped" packets should come back from a virtual interface instead 
> of the same interface?

Yes.  In practice, I use a pair of virtual interfaces, so I send on one
virtual and receive on the other.  I use separate software to bridge,
or the normal linux stacks to route, the packets to other interfaces,
including real interfaces.

> Btw, does the kernel support traditional loopback, so that at the last 
> stage, just before sending a packet on the wire, it would be pushed back.

Not that I'm aware of.

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com